{ mkDerivation, adjunctions, arithmoi, base, containers, doctest
, linear, microtimer, MonadRandom, multiset, prettyprinter
, random-shuffle, stdenv, typelits-witnesses, vector
}:
mkDerivation {
  pname = "alspach";
  version = "0.1.0.0";
  src = ./.;
  isLibrary = true;
  isExecutable = true;
  libraryHaskellDepends = [
    adjunctions arithmoi base containers linear microtimer MonadRandom
    multiset prettyprinter random-shuffle typelits-witnesses vector
  ];
  executableHaskellDepends = [ base linear ];
  testHaskellDepends = [ base doctest ];
  license = stdenv.lib.licenses.gpl3;
}
